<template>
	<v-card class="FieldListRow" @click="openPopup(fieldRow.id)">
		<v-list-item three-line>
			<v-list-item-content>
				<div class="text-overline">{{ fieldRow.producerName }} ({{ fieldRow.groupName }})</div>
				<router-link :to="`field/${fieldRow.id}`">
					<v-list-item-title class="text-h5 mb-1">
						{{ fieldRow.name }}
					</v-list-item-title>
				</router-link>
				<v-list-item-subtitle>
					{{ fieldRow.status.state }}
					<br />
					<span class="text-caption">{{ new Date(fieldRow.status.timestamp).toLocaleString() }}</span>
				</v-list-item-subtitle>
			</v-list-item-content>
			<offline-map-button :fieldId="fieldRow.id" />
		</v-list-item>
	</v-card>
</template>

<script lang="ts">
import { defineComponent } from '@vue/composition-api';
import { FieldRow } from '@/store/modules/fieldsView/utils';
import OfflineMapButton from '@/components/map/OfflineMapButton.vue';
import { openPopup } from '@/components/map/MglMap.ts';

export default defineComponent({
	components: {
		OfflineMapButton,
	},
	props: {
		fieldRow: {
			type: Object as () => FieldRow,
			required: true,
		},
	},
	setup() {
		return { openPopup };
	},
});
</script>

<style>
.FieldListRow a {
	text-decoration: none;
}

.FieldListRow .text-overline {
	line-height: 1.6rem !important;
}
</style>
